=== debian/changelog ===
golang-github-uber-go-tally (4.0.1-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: Drop override_dh_fixperms.

 -- Aloïs Micard <creekorful@debian.org>  Thu, 07 Oct 2021 09:03:52 +0200

golang-github-uber-go-tally (4.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #994084)

 -- Aloïs Micard <creekorful@debian.org>  Sat, 11 Sep 2021 16:23:20 +0200
