=== debian/control ===
Source: golang-github-uber-go-tally
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-cactus-go-statsd-client-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-stretchr-testify-dev,
               golang-github-twmb-murmur3-dev,
               golang-go.uber-atomic-dev,
               golang-gopkg-validator.v2-dev,
               golang-prometheus-client-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-uber-go-tally
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-uber-go-tally.git
Homepage: https://github.com/uber-go/tally
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/uber-go/tally

Package: golang-github-uber-go-tally-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-cactus-go-statsd-client-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-model-dev,
         golang-github-stretchr-testify-dev,
         golang-github-twmb-murmur3-dev,
         golang-go.uber-atomic-dev,
         golang-gopkg-validator.v2-dev,
         golang-prometheus-client-dev,
         golang-yaml.v2-dev,
         ${misc:Depends}
Description: Go metrics interface with fast metrics reporters (library)
 Tally provides a common interface for emitting metrics, while
 letting you not worry about the velocity of metrics emission.
 .
 By default it buffers counters, gauges and histograms at a specified
 interval but does not buffer timer values.  This is primarily so
 timer values can have all their values sampled if desired and if
 not they can be sampled as summaries or histograms independently by a
 reporter.
