## golang-github-uber-go-tally 4.1.7

=== debian/changelog ===
golang-github-uber-go-tally (4.1.7-2) unstable; urgency=medium

  * Team upload
  * Fix atomic alignment issue on 32bit systems

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 08 Jul 2023 00:09:39 +0000

golang-github-uber-go-tally (4.1.7-1) unstable; urgency=medium

  * Team upload

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * New upstream release
  * d/control:
    - Update Standards-Version to 4.6.2 (no changes needed)
    - Update Build-Depends and Depends
  * Extend test timeout to 30 minutes in d/rules

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 17 Jun 2023 15:42:01 +0000
