=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
                golang-go.uber-atomic-dev,
                golang-gopkg-validator.v2-dev,
                golang-prometheus-client-dev,
+               golang-uber-goleak-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-uber-go-tally
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-uber-go-tally.git
 Homepage: https://github.com/uber-go/tally
@@ -34,6 +35,7 @@
          golang-go.uber-atomic-dev,
          golang-gopkg-validator.v2-dev,
          golang-prometheus-client-dev,
+         golang-uber-goleak-dev,
          golang-yaml.v2-dev,
          ${misc:Depends}
 Description: Go metrics interface with fast metrics reporters (library)
