## golang-github-uber-go-tally 4.1.11

=== debian/changelog ===
golang-github-uber-go-tally (4.1.11-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Update Build-Depends and Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 09 Feb 2024 18:24:04 +0000
