=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-golang,
                golang-any,
                golang-github-cactus-go-statsd-client-dev,
+               golang-github-golang-mock-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-stretchr-testify-dev,
@@ -28,6 +29,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-cactus-go-statsd-client-dev,
+         golang-github-golang-mock-dev,
          golang-github-pkg-errors-dev,
          golang-github-prometheus-client-model-dev,
          golang-github-stretchr-testify-dev,
