=== debian/changelog ===
golang-github-uber-go-tally (4.1.17-1) unstable; urgency=medium

  * Team upload
  * New upstream release 4.1.7:
    - Fix race when reporting internal cardinality metrics

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Oct 2025 06:00:07 -0400

golang-github-uber-go-tally (4.1.16-2) unstable; urgency=medium

  * Team upload
  * Convert patches to gbp-pq format
  * Add new 0002-Skip-non-compliant-Prometheus-metric-name-test.patch to fix
    building with golang-github-prometheus-common-dev >= 0.62.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Aug 2025 11:56:54 +0000
