=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                golang-prometheus-client-dev,
                golang-uber-goleak-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-uber-go-tally
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-uber-go-tally.git
 Homepage: https://github.com/uber-go/tally
